import useKnowledge from '@/stores/modules/knowledge'
import { createPinia } from 'pinia'
const store = createPinia()
export { store }
import useDadaStore from './modules/dada'
import useDocsStore from './modules/docs'
import useAnswerSettingStore from './modules/answerSetting'
import useChatStore from './modules/chat'

const useStore = () => ({
  dada: useDadaStore(),
  docs: useDocsStore(),
  chat: useChatStore(),
  answerSetting: useAnswerSettingStore(),
  knowledge: useKnowledge(),
})

export default useStore
